Index: protocols/yahoo/libyahoo2.c
===================================================================
--- protocols/yahoo/libyahoo2.c	(revision 25c4c78e2ddad482dfc9d5a104f76325fcc2f8e5)
+++ protocols/yahoo/libyahoo2.c	(revision 9216eff1a59e9d4a24b63c16ba4c2cacd051332c)
@@ -3954,24 +4152,27 @@
 
 void yahoo_add_buddy(int id, const char *who, const char *group,
-	const char *msg)
+                     const char *msg)
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt;
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 	yd = yid->yd;
 
-	if (!yd->logged_in)
-		return;
+	if (!yd->logged_in) {
+		return;
+	}
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_ADDBUDDY, YPACKET_STATUS_DEFAULT,
-		yd->session_id);
-	if (msg != NULL)	/* add message/request "it's me add me" */
+	                       yd->session_id);
+	if (msg != NULL) {      /* add message/request "it's me add me" */
 		yahoo_packet_hash(pkt, 14, msg);
-	else
+	} else {
 		yahoo_packet_hash(pkt, 14, "");
+	}
 	yahoo_packet_hash(pkt, 65, group);
 	yahoo_packet_hash(pkt, 97, "1");
@@ -3990,14 +4191,15 @@
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt = NULL;
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 	yd = yid->yd;
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_REMBUDDY, YPACKET_STATUS_DEFAULT,
-		yd->session_id);
+	                       yd->session_id);
 
 	yahoo_packet_hash(pkt, 1, yd->user);
@@ -4011,22 +4213,24 @@
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt;
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 	yd = yid->yd;
 
-	if (!yd->logged_in)
-		return;
+	if (!yd->logged_in) {
+		return;
+	}
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_Y7_AUTHORIZATION,
-		YPACKET_STATUS_DEFAULT, yd->session_id);
+	                       YPACKET_STATUS_DEFAULT, yd->session_id);
 	yahoo_packet_hash(pkt, 1, yd->user);
 	yahoo_packet_hash(pkt, 5, who);
-	if (reject)
+	if (reject) {
 		yahoo_packet_hash(pkt, 13, "2");
-	else {
+	} else {
 		yahoo_packet_hash(pkt, 241, "0");
 		yahoo_packet_hash(pkt, 13, "1");
@@ -4048,17 +4252,19 @@
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt;
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 	yd = yid->yd;
 
-	if (!yd->logged_in)
-		return;
+	if (!yd->logged_in) {
+		return;
+	}
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_IGNORECONTACT,
-		YPACKET_STATUS_DEFAULT, yd->session_id);
+	                       YPACKET_STATUS_DEFAULT, yd->session_id);
 	yahoo_packet_hash(pkt, 1, yd->user);
 	yahoo_packet_hash(pkt, 7, who);
@@ -4071,17 +4277,19 @@
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt;
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 	yd = yid->yd;
 
-	if (!yd->logged_in)
-		return;
+	if (!yd->logged_in) {
+		return;
+	}
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_STEALTH_PERM,
-		YPACKET_STATUS_DEFAULT, yd->session_id);
+	                       YPACKET_STATUS_DEFAULT, yd->session_id);
 	yahoo_packet_hash(pkt, 1, yd->user);
 	yahoo_packet_hash(pkt, 7, who);
@@ -4094,17 +4302,18 @@
 
 void yahoo_change_buddy_group(int id, const char *who, const char *old_group,
-	const char *new_group)
+                              const char *new_group)
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt = NULL;
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 	yd = yid->yd;
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_Y7_CHANGE_GROUP,
-		YPACKET_STATUS_DEFAULT, yd->session_id);
+	                       YPACKET_STATUS_DEFAULT, yd->session_id);
 	yahoo_packet_hash(pkt, 1, yd->user);
 	yahoo_packet_hash(pkt, 302, "240");
@@ -4124,14 +4333,15 @@
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt = NULL;
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 	yd = yid->yd;
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_GROUPRENAME,
-		YPACKET_STATUS_DEFAULT, yd->session_id);
+	                       YPACKET_STATUS_DEFAULT, yd->session_id);
 	yahoo_packet_hash(pkt, 1, yd->user);
 	yahoo_packet_hash(pkt, 65, old_group);
@@ -4143,17 +4353,18 @@
 
 void yahoo_conference_addinvite(int id, const char *from, const char *who,
-	const char *room, const YList *members, const char *msg)
+                                const char *room, const YList *members, const char *msg)
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt;
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 	yd = yid->yd;
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_CONFADDINVITE,
-		YPACKET_STATUS_DEFAULT, yd->session_id);
+	                       YPACKET_STATUS_DEFAULT, yd->session_id);
 
 	yahoo_packet_hash(pkt, 1, (from ? from : yd->user));
@@ -4163,6 +4374,6 @@
 	yahoo_packet_hash(pkt, 13, "0");
 	for (; members; members = members->next) {
-		yahoo_packet_hash(pkt, 52, (char *)members->data);
-		yahoo_packet_hash(pkt, 53, (char *)members->data);
+		yahoo_packet_hash(pkt, 52, (char *) members->data);
+		yahoo_packet_hash(pkt, 53, (char *) members->data);
 	}
 	/* 52, 53 -> other members? */
@@ -4175,22 +4386,23 @@
 
 void yahoo_conference_invite(int id, const char *from, YList *who,
-	const char *room, const char *msg)
+                             const char *room, const char *msg)
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt;
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 	yd = yid->yd;
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_CONFINVITE, YPACKET_STATUS_DEFAULT,
-		yd->session_id);
+	                       yd->session_id);
 
 	yahoo_packet_hash(pkt, 1, (from ? from : yd->user));
 	yahoo_packet_hash(pkt, 50, yd->user);
 	for (; who; who = who->next) {
-		yahoo_packet_hash(pkt, 52, (char *)who->data);
+		yahoo_packet_hash(pkt, 52, (char *) who->data);
 	}
 	yahoo_packet_hash(pkt, 57, room);
@@ -4204,23 +4416,25 @@
 
 void yahoo_conference_logon(int id, const char *from, YList *who,
-	const char *room)
+                            const char *room)
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt;
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 	yd = yid->yd;
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_CONFLOGON, YPACKET_STATUS_DEFAULT,
-		yd->session_id);
+	                       yd->session_id);
 
 	yahoo_packet_hash(pkt, 1, (from ? from : yd->user));
 	yahoo_packet_hash(pkt, 3, (from ? from : yd->user));
 	yahoo_packet_hash(pkt, 57, room);
-	for (; who; who = who->next)
-		yahoo_packet_hash(pkt, 3, (char *)who->data);
+	for (; who; who = who->next) {
+		yahoo_packet_hash(pkt, 3, (char *) who->data);
+	}
 
 	yahoo_send_packet(yid, pkt, 0);
@@ -4230,22 +4444,24 @@
 
 void yahoo_conference_decline(int id, const char *from, YList *who,
-	const char *room, const char *msg)
+                              const char *room, const char *msg)
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt;
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 	yd = yid->yd;
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_CONFDECLINE,
-		YPACKET_STATUS_DEFAULT, yd->session_id);
+	                       YPACKET_STATUS_DEFAULT, yd->session_id);
 
 	yahoo_packet_hash(pkt, 1, (from ? from : yd->user));
 	yahoo_packet_hash(pkt, 3, (from ? from : yd->user));
-	for (; who; who = who->next)
-		yahoo_packet_hash(pkt, 3, (char *)who->data);
+	for (; who; who = who->next) {
+		yahoo_packet_hash(pkt, 3, (char *) who->data);
+	}
 	yahoo_packet_hash(pkt, 57, room);
 	yahoo_packet_hash(pkt, 14, msg);
@@ -4257,22 +4473,24 @@
 
 void yahoo_conference_logoff(int id, const char *from, YList *who,
-	const char *room)
+                             const char *room)
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt;
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 	yd = yid->yd;
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_CONFLOGOFF, YPACKET_STATUS_DEFAULT,
-		yd->session_id);
+	                       yd->session_id);
 
 	yahoo_packet_hash(pkt, 1, (from ? from : yd->user));
 	yahoo_packet_hash(pkt, 3, (from ? from : yd->user));
-	for (; who; who = who->next)
-		yahoo_packet_hash(pkt, 3, (char *)who->data);
+	for (; who; who = who->next) {
+		yahoo_packet_hash(pkt, 3, (char *) who->data);
+	}
 
 	yahoo_packet_hash(pkt, 57, room);
@@ -4284,28 +4502,31 @@
 
 void yahoo_conference_message(int id, const char *from, YList *who,
-	const char *room, const char *msg, int utf8)
+                              const char *room, const char *msg, int utf8)
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt;
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 	yd = yid->yd;
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_CONFMSG, YPACKET_STATUS_DEFAULT,
-		yd->session_id);
+	                       yd->session_id);
 
 	yahoo_packet_hash(pkt, 1, (from ? from : yd->user));
 	yahoo_packet_hash(pkt, 53, (from ? from : yd->user));
-	for (; who; who = who->next)
-		yahoo_packet_hash(pkt, 53, (char *)who->data);
+	for (; who; who = who->next) {
+		yahoo_packet_hash(pkt, 53, (char *) who->data);
+	}
 
 	yahoo_packet_hash(pkt, 57, room);
 	yahoo_packet_hash(pkt, 14, msg);
 
-	if (utf8)
+	if (utf8) {
 		yahoo_packet_hash(pkt, 97, "1");
+	}
 
 	yahoo_send_packet(yid, pkt, 0);
@@ -4322,6 +4543,7 @@
 	char buff[1024];
 
-	if (!yd)
-		return;
+	if (!yd) {
+		return;
+	}
 
 	yid = y_new0(struct yahoo_input_data, 1);
@@ -4331,9 +4553,9 @@
 	if (chatroomid == 0) {
 		snprintf(url, 1024,
-			"http://insider.msg.yahoo.com/ycontent/?chatcat=0");
+		         "http://insider.msg.yahoo.com/ycontent/?chatcat=0");
 	} else {
 		snprintf(url, 1024,
-			"http://insider.msg.yahoo.com/ycontent/?chatroom_%d=0",
-			chatroomid);
+		         "http://insider.msg.yahoo.com/ycontent/?chatroom_%d=0",
+		         chatroomid);
 	}
 
@@ -4343,22 +4565,23 @@
 
 	yahoo_http_get(yid->yd->client_id, url, buff, 0, 0,
-		_yahoo_http_connected, yid);
+	               _yahoo_http_connected, yid);
 }
 
 void yahoo_chat_logon(int id, const char *from, const char *room,
-	const char *roomid)
+                      const char *roomid)
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt;
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 
 	yd = yid->yd;
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_CHATONLINE, YPACKET_STATUS_DEFAULT,
-		yd->session_id);
+	                       yd->session_id);
 
 	yahoo_packet_hash(pkt, 1, (from ? from : yd->user));
@@ -4371,10 +4594,10 @@
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_CHATJOIN, YPACKET_STATUS_DEFAULT,
-		yd->session_id);
+	                       yd->session_id);
 
 	yahoo_packet_hash(pkt, 1, (from ? from : yd->user));
 	yahoo_packet_hash(pkt, 104, room);
 	yahoo_packet_hash(pkt, 129, roomid);
-	yahoo_packet_hash(pkt, 62, "2");	/* ??? */
+	yahoo_packet_hash(pkt, 62, "2");        /* ??? */
 
 	yahoo_send_packet(yid, pkt, 0);
@@ -4384,19 +4607,20 @@
 
 void yahoo_chat_message(int id, const char *from, const char *room,
-	const char *msg, const int msgtype, const int utf8)
+                        const char *msg, const int msgtype, const int utf8)
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt;
 	char buf[2];
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 
 	yd = yid->yd;
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_COMMENT, YPACKET_STATUS_DEFAULT,
-		yd->session_id);
+	                       yd->session_id);
 
 	yahoo_packet_hash(pkt, 1, (from ? from : yd->user));
@@ -4407,6 +4631,7 @@
 	yahoo_packet_hash(pkt, 124, buf);
 
-	if (utf8)
+	if (utf8) {
 		yahoo_packet_hash(pkt, 97, "1");
+	}
 
 	yahoo_send_packet(yid, pkt, 0);
@@ -4418,15 +4643,16 @@
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt;
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 
 	yd = yid->yd;
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_CHATLOGOUT, YPACKET_STATUS_DEFAULT,
-		yd->session_id);
+	                       yd->session_id);
 
 	yahoo_packet_hash(pkt, 1, (from ? from : yd->user));
@@ -4440,15 +4666,16 @@
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt;
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 
 	yd = yid->yd;
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_PICTURE, YPACKET_STATUS_DEFAULT,
-		0);
+	                       0);
 	yahoo_packet_hash(pkt, 4, yd->user);
 	yahoo_packet_hash(pkt, 5, who);
@@ -4460,14 +4687,15 @@
 
 void yahoo_send_picture_info(int id, const char *who, const char *url,
-	int checksum)
+                             int checksum)
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt;
 	char checksum_str[10];
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 
 	yd = yid->yd;
@@ -4476,5 +4704,5 @@
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_PICTURE, YPACKET_STATUS_DEFAULT,
-		0);
+	                       0);
 	yahoo_packet_hash(pkt, 1, yd->user);
 	yahoo_packet_hash(pkt, 4, yd->user);
@@ -4491,11 +4719,12 @@
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt;
 	char type_str[10];
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 
 	yd = yid->yd;
@@ -4504,5 +4733,5 @@
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_PICTURE_UPDATE,
-		YPACKET_STATUS_DEFAULT, 0);
+	                       YPACKET_STATUS_DEFAULT, 0);
 	yahoo_packet_hash(pkt, 1, yd->user);
 	yahoo_packet_hash(pkt, 5, who);
@@ -4516,11 +4745,12 @@
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt;
 	char checksum_str[10];
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 
 	yd = yid->yd;
@@ -4529,8 +4759,9 @@
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_PICTURE_CHECKSUM,
-		YPACKET_STATUS_DEFAULT, 0);
+	                       YPACKET_STATUS_DEFAULT, 0);
 	yahoo_packet_hash(pkt, 1, yd->user);
-	if (who != 0)
+	if (who != 0) {
 		yahoo_packet_hash(pkt, 5, who);
+	}
 	yahoo_packet_hash(pkt, 192, checksum_str);
 	yahoo_packet_hash(pkt, 212, "1");
@@ -4543,8 +4774,9 @@
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_webcam_user(id, who);
-
-	if (yid)
+	        find_input_by_id_and_webcam_user(id, who);
+
+	if (yid) {
 		yahoo_input_close(yid);
+	}
 }
 
@@ -4552,15 +4784,16 @@
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_data *yd;
 	struct yahoo_packet *pkt;
 
-	if (!yid)
-		return;
-
-	/* 
+	if (!yid) {
+		return;
+	}
+
+	/*
 	 * add the user to the queue.  this is a dirty hack, since
 	 * the yahoo server doesn't tell us who's key it's returning,
-	 * we have to just hope that it sends back keys in the same 
+	 * we have to just hope that it sends back keys in the same
 	 * order that we request them.
 	 * The queue is popped in yahoo_process_webcam_key
@@ -4571,9 +4804,10 @@
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_WEBCAM, YPACKET_STATUS_DEFAULT,
-		yd->session_id);
+	                       yd->session_id);
 
 	yahoo_packet_hash(pkt, 1, yd->user);
-	if (who != NULL)
+	if (who != NULL) {
 		yahoo_packet_hash(pkt, 5, who);
+	}
 	yahoo_send_packet(yid, pkt, 0);
 
@@ -4582,14 +4816,15 @@
 
 void yahoo_webcam_send_image(int id, unsigned char *image, unsigned int length,
-	unsigned int timestamp)
+                             unsigned int timestamp)
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_WEBCAM);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_WEBCAM);
 	unsigned char *packet;
 	unsigned char header_len = 13;
 	unsigned int pos = 0;
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 
 	packet = y_new0(unsigned char, header_len);
@@ -4597,14 +4832,15 @@
 	packet[pos++] = header_len;
 	packet[pos++] = 0;
-	packet[pos++] = 5;	/* version byte?? */
+	packet[pos++] = 5;      /* version byte?? */
 	packet[pos++] = 0;
 	pos += yahoo_put32(packet + pos, length);
-	packet[pos++] = 2;	/* packet type, image */
+	packet[pos++] = 2;      /* packet type, image */
 	pos += yahoo_put32(packet + pos, timestamp);
 	yahoo_add_to_send_queue(yid, packet, header_len);
 	FREE(packet);
 
-	if (length)
+	if (length) {
 		yahoo_add_to_send_queue(yid, image, length);
+	}
 }
 
@@ -4612,5 +4848,5 @@
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_WEBCAM);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_WEBCAM);
 	char *packet = NULL;
 	char *data = NULL;
@@ -4619,9 +4855,10 @@
 	unsigned int len = 0;
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 
 	data = strdup("u=");
-	data = y_string_append(data, (char *)who);
+	data = y_string_append(data, (char *) who);
 	data = y_string_append(data, "\r\n");
 	len = strlen(data);
@@ -4630,8 +4867,8 @@
 	packet[pos++] = header_len;
 	packet[pos++] = 0;
-	packet[pos++] = 5;	/* version byte?? */
+	packet[pos++] = 5;      /* version byte?? */
 	packet[pos++] = 0;
 	pos += yahoo_put32(packet + pos, len);
-	packet[pos++] = 0;	/* packet type */
+	packet[pos++] = 0;      /* packet type */
 	pos += yahoo_put32(packet + pos, accept);
 	memcpy(packet + pos, data, len);
@@ -4644,12 +4881,13 @@
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_packet *pkt;
 
-	if (!yid)
-		return;
+	if (!yid) {
+		return;
+	}
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_NOTIFY, YPACKET_STATUS_NOTIFY,
-		yid->yd->session_id);
+	                       yid->yd->session_id);
 
 	yahoo_packet_hash(pkt, 49, "WEBCAMINVITE");
@@ -4664,5 +4902,5 @@
 
 static void yahoo_search_internal(int id, int t, const char *text, int g,
-	int ar, int photo, int yahoo_only, int startpos, int total)
+                                  int ar, int photo, int yahoo_only, int startpos, int total)
 {
 	struct yahoo_data *yd = find_conn_by_id(id);
@@ -4672,6 +4910,7 @@
 	char *ctext, *p;
 
-	if (!yd)
-		return;
+	if (!yd) {
+		return;
+	}
 
 	yid = y_new0(struct yahoo_input_data, 1);
@@ -4685,14 +4924,15 @@
 
 	snprintf(buff, sizeof(buff), "&.sq=%%20&.tt=%d&.ss=%d", total,
-		startpos);
+	         startpos);
 
 	ctext = strdup(text);
-	while ((p = strchr(ctext, ' ')))
+	while ((p = strchr(ctext, ' '))) {
 		*p = '+';
+	}
 
 	snprintf(url, 1024,
-		"http://members.yahoo.com/interests?.oc=m&.kw=%s&.sb=%d&.g=%d&.ar=0%s%s%s",
-		ctext, t, g, photo ? "&.p=y" : "", yahoo_only ? "&.pg=y" : "",
-		startpos ? buff : "");
+	         "http://members.yahoo.com/interests?.oc=m&.kw=%s&.sb=%d&.g=%d&.ar=0%s%s%s",
+	         ctext, t, g, photo ? "&.p=y" : "", yahoo_only ? "&.pg=y" : "",
+	         startpos ? buff : "");
 
 	FREE(ctext);
@@ -4702,20 +4942,22 @@
 	inputs = y_list_prepend(inputs, yid);
 	yahoo_http_get(yid->yd->client_id, url, buff, 0, 0,
-		_yahoo_http_connected, yid);
+	               _yahoo_http_connected, yid);
 }
 
 void yahoo_search(int id, enum yahoo_search_type t, const char *text,
-	enum yahoo_search_gender g, enum yahoo_search_agerange ar, int photo,
-	int yahoo_only)
+                  enum yahoo_search_gender g, enum yahoo_search_agerange ar, int photo,
+                  int yahoo_only)
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_search_state *yss;
 
-	if (!yid)
-		return;
-
-	if (!yid->ys)
+	if (!yid) {
+		return;
+	}
+
+	if (!yid->ys) {
 		yid->ys = y_new0(struct yahoo_search_state, 1);
+	}
 
 	yss = yid->ys;
@@ -4735,23 +4977,25 @@
 {
 	struct yahoo_input_data *yid =
-		find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
+	        find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	struct yahoo_search_state *yss;
 
-	if (!yid || !yid->ys)
-		return;
+	if (!yid || !yid->ys) {
+		return;
+	}
 
 	yss = yid->ys;
 
-	if (start == -1)
+	if (start == -1) {
 		start = yss->lsearch_nstart + yss->lsearch_nfound;
+	}
 
 	yahoo_search_internal(id, yss->lsearch_type, yss->lsearch_text,
-		yss->lsearch_gender, yss->lsearch_agerange,
-		yss->lsearch_photo, yss->lsearch_yahoo_only,
-		start, yss->lsearch_ntotal);
+	                      yss->lsearch_gender, yss->lsearch_agerange,
+	                      yss->lsearch_photo, yss->lsearch_yahoo_only,
+	                      start, yss->lsearch_ntotal);
 }
 
 void yahoo_send_picture(int id, const char *name, unsigned long size,
-	yahoo_get_fd_callback callback, void *data)
+                        yahoo_get_fd_callback callback, void *data)
 {
 	/* Not Implemented */
@@ -4796,17 +5040,19 @@
 	out[23] = '$';
 	out[22] = '$';
-	
+
 	for (i = 0; i < 22; i++) {
-		if(r == 0)
+		if (r == 0) {
 			r = rand();
-
-		c = r%61;
-
-		if(c<26)
+		}
+
+		c = r % 61;
+
+		if (c < 26) {
 			out[i] = c + 'a';
-		else if (c<52)
+		} else if (c < 52) {
 			out[i] = c - 26 + 'A';
-		else
+		} else {
 			out[i] = c - 52 + '0';
+		}
 
 		r /= 61;
@@ -4819,13 +5065,14 @@
 static int _are_same_id(const void *sfd1, const void *id)
 {
-	return strcmp(((struct send_file_data *)sfd1)->id, (char *)id);
+	return strcmp(((struct send_file_data *) sfd1)->id, (char *) id);
 }
 
 static int _are_same_yid(const void *sfd1, const void *yid)
 {
-	if(((struct send_file_data *)sfd1)->yid == yid)
+	if (((struct send_file_data *) sfd1)->yid == yid) {
 		return 0;
-	else
+	} else {
 		return 1;
+	}
 }
 
@@ -4833,9 +5080,10 @@
 {
 	YList *l = y_list_find_custom(active_file_transfers, id,
-		_are_same_id);
-
-	if(l)
-		return (struct send_file_data *)l->data;
-	
+	                              _are_same_id);
+
+	if (l) {
+		return (struct send_file_data *) l->data;
+	}
+
 	return NULL;
 }
@@ -4844,9 +5092,10 @@
 {
 	YList *l = y_list_find_custom(active_file_transfers, yid,
-		_are_same_yid);
-
-	if(l)
-		return (struct send_file_data *)l->data;
-	
+	                              _are_same_yid);
+
+	if (l) {
+		return (struct send_file_data *) l->data;
+	}
+
 	return NULL;
 }
@@ -4859,7 +5108,8 @@
 static void yahoo_remove_active_transfer(struct send_file_data *sfd)
 {
-	if (sfd == NULL)
-		return;
-	
+	if (sfd == NULL) {
+		return;
+	}
+
 	active_file_transfers = y_list_remove(active_file_transfers, sfd);
 	free(sfd->id);
@@ -4885,10 +5135,10 @@
 	yid->fd = fd;
 	yid->read_tag =
-		YAHOO_CALLBACK(ext_yahoo_add_handler) (yid->yd->client_id, fd,
-		YAHOO_INPUT_READ, yid);
+	        YAHOO_CALLBACK (ext_yahoo_add_handler) (yid->yd->client_id, fd,
+	                                                YAHOO_INPUT_READ, yid);
 }
 
 static void yahoo_file_transfer_upload(struct yahoo_data *yd,
-	struct send_file_data *sfd)
+                                       struct send_file_data *sfd)
 {
 	char url[256];
@@ -4909,12 +5159,12 @@
 	recv_enc = yahoo_urlencode(sfd->who);
 
-	snprintf(url, sizeof(url), 
-		"http://%s/relay?token=%s&sender=%s&recver=%s", sfd->ip_addr,
-		token_enc, sender_enc, recv_enc);
+	snprintf(url, sizeof(url),
+	         "http://%s/relay?token=%s&sender=%s&recver=%s", sfd->ip_addr,
+	         token_enc, sender_enc, recv_enc);
 
 	snprintf(buff, sizeof(buff), "T=%s; Y=%s", yd->cookie_t, yd->cookie_y);
 
 	yahoo_http_post(yd->client_id, url, buff, sfd->size,
-		_yahoo_ft_upload_connected, sfd);
+	                _yahoo_ft_upload_connected, sfd);
 
 	FREE(token_enc);
@@ -4924,5 +5174,5 @@
 
 static void yahoo_init_ft_recv(struct yahoo_data *yd,
-	struct send_file_data *sfd)
+                               struct send_file_data *sfd)
 {
 	char url[256];
@@ -4943,12 +5193,12 @@
 	recv_enc = yahoo_urlencode(yd->user);
 
-	snprintf(url, sizeof(url), 
-		"http://%s/relay?token=%s&sender=%s&recver=%s", sfd->ip_addr,
-		token_enc, sender_enc, recv_enc);
+	snprintf(url, sizeof(url),
+	         "http://%s/relay?token=%s&sender=%s&recver=%s", sfd->ip_addr,
+	         token_enc, sender_enc, recv_enc);
 
 	snprintf(buff, sizeof(buff), "Y=%s; T=%s", yd->cookie_y, yd->cookie_t);
 
 	yahoo_http_head(yid->yd->client_id, url, buff, 0, NULL,
-		_yahoo_http_connected, yid);
+	                _yahoo_http_connected, yid);
 
 	FREE(token_enc);
@@ -4958,10 +5208,10 @@
 
 static void yahoo_file_transfer_accept(struct yahoo_input_data *yid,
-	struct send_file_data *sfd)
+                                       struct send_file_data *sfd)
 {
 	struct yahoo_packet *pkt;
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_Y7_FILETRANSFERACCEPT,
-		YPACKET_STATUS_DEFAULT, yid->yd->session_id);
+	                       YPACKET_STATUS_DEFAULT, yid->yd->session_id);
 
 	yahoo_packet_hash(pkt, 1, yid->yd->user);
@@ -4980,5 +5230,5 @@
 
 static void yahoo_process_filetransferaccept(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                                             struct yahoo_packet *pkt)
 {
 	YList *l;
@@ -5016,9 +5266,8 @@
 
 		yahoo_file_transfer_upload(yid->yd, sfd);
-	}
-	else {
-		YAHOO_CALLBACK(ext_yahoo_file_transfer_done)
-			(yid->yd->client_id, YAHOO_FILE_TRANSFER_UNKNOWN,
-			sfd ? sfd->data : NULL);
+	} else {
+		YAHOO_CALLBACK (ext_yahoo_file_transfer_done)
+		        (yid->yd->client_id, YAHOO_FILE_TRANSFER_UNKNOWN,
+		        sfd ? sfd->data : NULL);
 
 		yahoo_remove_active_transfer(sfd);
@@ -5027,5 +5276,5 @@
 
 static void yahoo_process_filetransferinfo(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                                           struct yahoo_packet *pkt)
 {
 	YList *l;
@@ -5070,9 +5319,8 @@
 
 		yahoo_file_transfer_accept(yid, sfd);
-	}
-	else {
-		YAHOO_CALLBACK(ext_yahoo_file_transfer_done)
-			(yid->yd->client_id, YAHOO_FILE_TRANSFER_UNKNOWN,
-			sfd ? sfd->data : NULL);
+	} else {
+		YAHOO_CALLBACK (ext_yahoo_file_transfer_done)
+		        (yid->yd->client_id, YAHOO_FILE_TRANSFER_UNKNOWN,
+		        sfd ? sfd->data : NULL);
 
 		yahoo_remove_active_transfer(sfd);
@@ -5081,5 +5329,5 @@
 
 static void yahoo_send_filetransferinfo(struct yahoo_data *yd,
-	struct send_file_data *sfd)
+                                        struct send_file_data *sfd)
 {
 	struct yahoo_input_data *yid;
@@ -5087,9 +5335,9 @@
 
 	yid = find_input_by_id_and_type(yd->client_id, YAHOO_CONNECTION_PAGER);
-	sfd->ip_addr = YAHOO_CALLBACK(ext_yahoo_get_ip_addr)("relay.yahoo.com");
+	sfd->ip_addr = YAHOO_CALLBACK (ext_yahoo_get_ip_addr)("relay.yahoo.com");
 
 	if (!sfd->ip_addr) {
-		YAHOO_CALLBACK(ext_yahoo_file_transfer_done)
-			(yd->client_id, YAHOO_FILE_TRANSFER_RELAY, sfd->data);
+		YAHOO_CALLBACK (ext_yahoo_file_transfer_done)
+		        (yd->client_id, YAHOO_FILE_TRANSFER_RELAY, sfd->data);
 
 		yahoo_remove_active_transfer(sfd);
@@ -5099,5 +5347,5 @@
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_Y7_FILETRANSFERINFO,
-		YPACKET_STATUS_DEFAULT, yd->session_id);
+	                       YPACKET_STATUS_DEFAULT, yd->session_id);
 
 	yahoo_packet_hash(pkt, 1, yd->user);
@@ -5114,5 +5362,5 @@
 
 static void yahoo_process_filetransfer(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                                       struct yahoo_packet *pkt)
 {
 	YList *l;
@@ -5167,5 +5415,5 @@
 		/* Received a FT request from buddy */
 		sfd = y_new0(struct send_file_data, 1);
-        
+
 		sfd->client_id = yd->client_id;
 		sfd->id = strdup(id);
@@ -5173,11 +5421,10 @@
 		sfd->filename = strdup(filename);
 		sfd->size = size;
-        
+
 		yahoo_add_active_transfer(sfd);
 
-		YAHOO_CALLBACK(ext_yahoo_got_file) (yd->client_id, yd->user,
-			who, msg, filename, size, sfd->id);
-	}
-	else {
+		YAHOO_CALLBACK (ext_yahoo_got_file) (yd->client_id, yd->user,
+		                                     who, msg, filename, size, sfd->id);
+	} else {
 		/* Response to our request */
 		sfd = yahoo_get_active_transfer(id);
@@ -5185,9 +5432,8 @@
 		if (sfd && action == YAHOO_FILE_TRANSFER_ACCEPT) {
 			yahoo_send_filetransferinfo(yd, sfd);
-		}
-		else if (!sfd || action == YAHOO_FILE_TRANSFER_REJECT) {
-			YAHOO_CALLBACK(ext_yahoo_file_transfer_done)
-				(yd->client_id, YAHOO_FILE_TRANSFER_REJECT,
-				sfd ? sfd->data : NULL);
+		} else if (!sfd || action == YAHOO_FILE_TRANSFER_REJECT) {
+			YAHOO_CALLBACK (ext_yahoo_file_transfer_done)
+			        (yd->client_id, YAHOO_FILE_TRANSFER_REJECT,
+			        sfd ? sfd->data : NULL);
 
 			yahoo_remove_active_transfer(sfd);
@@ -5198,6 +5444,6 @@
 #if 0
 void yahoo_send_file(int id, const char *who, const char *msg,
-	const char *name, unsigned long size,
-	yahoo_get_fd_callback callback, void *data)
+                     const char *name, unsigned long size,
+                     yahoo_get_fd_callback callback, void *data)
 {
 	struct yahoo_packet *pkt = NULL;
@@ -5206,5 +5452,5 @@
 	struct yahoo_data *yd;
 	struct send_file_data *sfd;
-	
+
 	yid = find_input_by_id_and_type(id, YAHOO_CONNECTION_PAGER);
 	yd = find_conn_by_id(id);
@@ -5221,9 +5467,10 @@
 	yahoo_add_active_transfer(sfd);
 
-	if (!yd)
-		return;
+	if (!yd) {
+		return;
+	}
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_Y7_FILETRANSFER,
-		YPACKET_STATUS_DEFAULT, yd->session_id);
+	                       YPACKET_STATUS_DEFAULT, yd->session_id);
 
 	snprintf(size_str, sizeof(size_str), "%ld", size);
@@ -5251,5 +5498,5 @@
 	char resp[2];
 	struct yahoo_input_data *yid;
-	
+
 	struct send_file_data *sfd = yahoo_get_active_transfer(id);
 
@@ -5259,5 +5506,5 @@
 
 	pkt = yahoo_packet_new(YAHOO_SERVICE_Y7_FILETRANSFER,
-		YPACKET_STATUS_DEFAULT, yid->yd->session_id);
+	                       YPACKET_STATUS_DEFAULT, yid->yd->session_id);
 
 	snprintf(resp, sizeof(resp), "%d", response);
